/*
** SellaNMS
** $Id: vector.cxx,v 2.4 2005/03/31 18:57:11 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

/* Notes:

This is an erample of vector doing a deep copy.

*/

#include <stdio.h>
#include <stdlib.h>
#include <str>
#include <vector>

int main() {
	vector<str> v;
	str r = "GOOD";

	/* Add vector<str> with 'GOOD' stored within. */
	v.insert(v.end(), r);

	/* Now replace contents of our vector. */
	r = "BAD";

	/* Print out what is stored within our hash_map. */
	printf("Should be 'GOOD' in vector: %s\n", v.back().c_str());

	return 0;
}
